'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compileShader = require('./compileShader.js');
var logProgramError = require('./logProgramError.js');
var defaultValue = require('./defaultValue.js');
var getMaxFragmentPrecision = require('./getMaxFragmentPrecision.js');
var setPrecision = require('./setPrecision.js');
var mapSize = require('./mapSize.js');
var mapType = require('./mapType.js');
var generateUniformsSync = require('./generateUniformsSync.js');
var uniformParsers = require('./uniformParsers.js');
var getTestContext = require('./getTestContext.js');
var checkMaxIfStatementsInShader = require('./checkMaxIfStatementsInShader.js');
var unsafeEvalSupported = require('./unsafeEvalSupported.js');



exports.compileShader = compileShader.compileShader;
exports.logProgramError = logProgramError.logProgramError;
exports.defaultValue = defaultValue.defaultValue;
exports.getMaxFragmentPrecision = getMaxFragmentPrecision.getMaxFragmentPrecision;
exports.setPrecision = setPrecision.setPrecision;
exports.mapSize = mapSize.mapSize;
exports.mapType = mapType.mapType;
exports.generateUniformsSync = generateUniformsSync.generateUniformsSync;
exports.uniformParsers = uniformParsers.uniformParsers;
exports.getTestContext = getTestContext.getTestContext;
exports.checkMaxIfStatementsInShader = checkMaxIfStatementsInShader.checkMaxIfStatementsInShader;
exports.unsafeEvalSupported = unsafeEvalSupported.unsafeEvalSupported;
//# sourceMappingURL=index.js.map
